Subject: Re: [PATCH/RFC 0/5] add "unset.variable" for unsetting previously set variables

From: Junio C Hamano <[email-masked]>
Date: Tue, 07 Oct 2014 09:44:29 -0700

Jakub Narębski <[email-masked]> writes:

> Junio C Hamano wrote:
>
>>   - "[config] safe = section.variable" will list variables that can
>>     be included with the config.safeInclude mechanism.  Any variable
>>     that is not marked as config.safe that appears in the file
>>     included by the config.safeInclude mechanism will be ignored.
>
> Why user must know which variables are safe, why it cannot be left to
> Git to know which configuration variables can call external scripts?

That's a fallback to let them take responsibility for variables we
do not mark as "safe"; and having that fallback mechanism lets us
keep the set of variables we by default mark as safe to the absolute
minimum.